# 73. Poizvedba: pridobi mrežne podatke z izbranim odbojnikom

Poizvedba za pridobivanje mrežnih podatkov iz zbirk podatkov, kot so "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" z izbranim bufferjem.

{% hint style="danger" %}
Priporočamo pridobitev samo ene zbirke podatkov z `sourceDataUrl` na zahtevo.&#x20;
{% endhint %}

`BrezPufra`, `PlusEnPixel`, `PlusDvaPixla`, `MinusEnPixel`, in `MinusDvaPixla` so na voljo kot `pufr`.

{% hint style="danger" %}
`sourceDataUrl` povezava je dostopna samo za **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    ime
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      ime
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/73.-poizvedba-pridobi-mrezne-podatke-z-izbranim-odbojnikom.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
